package com.leanwo.activiti.dto;

import java.io.Serializable;

import com.leanwo.activiti.dto.base.ModelData;

/**
 * 流程执行结果.
 *
 * @author YangZhiJie
 */
public class ProcessResult implements Serializable {

	/** 流程名称. */
	private String processName;

	/** 是否执行成功. */
	private Boolean success;

	/**  */
	/** 流程执行结果（标题，用于流程报表定时执行） */
	private String title;

	/** 流程执行结果. */
	private String result;

	/** 数据. */
	private ModelData modelData;

	/** 是否可以运行报表. */
	private Boolean canRunReport;

	/**
	 * Gets the 流程执行结果.
	 *
	 * @return the 流程执行结果
	 */
	public String getResult() {
		return result;
	}

	/**
	 * Sets the 流程执行结果.
	 *
	 * @param result
	 *            the new 流程执行结果
	 */
	public void setResult(String result) {
		this.result = result;
	}

	/**
	 * Gets the 流程名称.
	 *
	 * @return the 流程名称
	 */
	public String getProcessName() {
		return processName;
	}

	/**
	 * Sets the 流程名称.
	 *
	 * @param processName
	 *            the new 流程名称
	 */
	public void setProcessName(String processName) {
		this.processName = processName;
	}

	/**
	 * Gets the 数据.
	 *
	 * @return the 数据
	 */
	public ModelData getModelData() {
		return modelData;
	}

	/**
	 * Sets the 数据.
	 *
	 * @param modelData
	 *            the new 数据
	 */
	public void setModelData(ModelData modelData) {
		this.modelData = modelData;
	}

	/**
	 * 
	 *
	 * @return
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * 
	 *
	 * @param title
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Gets the 是否执行成功.
	 *
	 * @return the 是否执行成功
	 */
	public Boolean getSuccess() {
		return success;
	}

	/**
	 * Sets the 是否执行成功.
	 *
	 * @param success
	 *            the new 是否执行成功
	 */
	public void setSuccess(Boolean success) {
		this.success = success;
	}

	/**
	 * Gets the 是否可以运行报表.
	 *
	 * @return the 是否可以运行报表
	 */
	public Boolean getCanRunReport() {
		return canRunReport;
	}

	/**
	 * Sets the 是否可以运行报表.
	 *
	 * @param canRunReport
	 *            the new 是否可以运行报表
	 */
	public void setCanRunReport(Boolean canRunReport) {
		this.canRunReport = canRunReport;
	}

}
